Bug 581 - RFE: Add Xprint support to XLogo
Summary: RFE: Add Xprint support to XLogo
Status: RESOLVED FIXED
Alias: None
Product: xprint
Classification: Unclassified
Component: Application support: Xt/Athena (show other bugs)
Version: unspecified
Hardware: All All
: high enhancement
Assignee: Roland Mainz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-30 20:32 UTC by Roland Mainz
Modified: 2004-05-08 00:37 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Prototype patch for 2004-04-30-trunk (20.14 KB, patch)
2004-04-30 20:39 UTC, Roland Mainz
no flags Details | Splinter Review
Patch for 2004-05-09-trunk (23.55 KB, patch)
2004-05-09 10:34 UTC, Roland Mainz
no flags Details | Splinter Review

Description Roland Mainz 2004-04-30 20:32:42 UTC
RFE: Add Xprint support to XLogo
Comment 1 Roland Mainz 2004-04-30 20:39:33 UTC
Created attachment 253 [details] [review]
Prototype patch for 2004-04-30-trunk

The patch still has the following flags:
- There is no dialog to select a printer and/or printer attributes (page size
etc.-)
- The Xrm resource counterpart for XPSERVERLIST isn't honored
- In |CreatePrintShell()| there is something I do not understand:
-- snip --
+
+    /* XXX: Why is the |dummyc|&&|dummys| stuff needed here ? */
+    XtDisplayInitialize(XtWidgetToApplicationContext(videoshell), pdpy,
+			 videoname, videoclass,
+			 NULL, 0,
+			 &dummyc, &dummys);
+
-- snip --
Why are these |dummy*|-args required ?

- Another possible problem hides in |PrintEndJobCB|:
-- snip --
+static
+void PrintEndJobCB(Widget pshell, XtPointer client_data, XtPointer call_data)
+{
+    AppPrintData *p = (AppPrintData *)client_data;
+
+    Log(("--> PrintEndJobCB\n"));
+
+    /* XXX: Is it legal that a print shell widget can destroy itself from
+     * within it's own callback ? */
+    FinishPrinting(p);
+}
-- snip --
Is it legal that |FinishPrinting()| will destroy the xawPrintShell widget
object where the callback is called for (in C++ it's legal but you MUST not
touch any member of that (dead) object after that point...)) ?
Comment 2 Roland Mainz 2004-04-30 21:14:41 UTC
s/The patch still has the following flags/The patch still has the following
flaws/
Comment 3 Roland Mainz 2004-05-09 10:34:28 UTC
Created attachment 279 [details] [review]
Patch for 2004-05-09-trunk

More or less final patch... I'll forward the implementation of a print dialog
to a new bug.
Comment 4 Roland Mainz 2004-05-09 10:37:43 UTC
Patch checked-in...

Checking in xc/ChangeLog;
/cvs/xorg/xc/ChangeLog,v  <--  ChangeLog
new revision: 1.22; previous revision: 1.21
done
Checking in xc/programs/xlogo/Imakefile;
/cvs/xorg/xc/programs/xlogo/Imakefile,v  <--  Imakefile
new revision: 1.3; previous revision: 1.2
done
Checking in xc/programs/xlogo/XLogo.ad;
/cvs/xorg/xc/programs/xlogo/XLogo.ad,v  <--  XLogo.ad
new revision: 1.2; previous revision: 1.1
done
RCS file: /cvs/xorg/xc/programs/xlogo/print.c,v
done
Checking in xc/programs/xlogo/print.c;
/cvs/xorg/xc/programs/xlogo/print.c,v  <--  print.c
initial revision: 1.1
done
RCS file: /cvs/xorg/xc/programs/xlogo/print.h,v
done
Checking in xc/programs/xlogo/print.h;
/cvs/xorg/xc/programs/xlogo/print.h,v  <--  print.h
initial revision: 1.1
done
Checking in xc/programs/xlogo/xlogo.c;
/cvs/xorg/xc/programs/xlogo/xlogo.c,v  <--  xlogo.c
new revision: 1.3; previous revision: 1.2
done
RCS file: /cvs/xorg/xc/programs/xlogo/xlogo.h,v
done
Checking in xc/programs/xlogo/xlogo.h;
/cvs/xorg/xc/programs/xlogo/xlogo.h,v  <--  xlogo.h
initial revision: 1.1
done
Mailing the commit message to xorg-commit@pdx.freedesktop.org...

... marking bug as FIXED.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.